Bug 131946 - xchat does not beep on channel messages
xchat does not beep on channel messages
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xchat (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Reed
Depends On:
  Show dependency treegraph
Reported: 2004-09-07 05:10 EDT by Thorsten Stärk
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 10:15:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thorsten Stärk 2004-09-07 05:10:34 EDT
Description of problem:
xchat does not beep on channel messages although told to

Version-Release number of selected component (if applicable):

How reproducible:
only on my computer

Steps to Reproduce:
1. start xchat on my computer
Actual results:

warning: (xchat:7165): Gtk-WARNING **: GModule initialization check
failed: Gtk+ version too old (micro mismatch)

no beeping on messages although advised

Expected results:

beeping on messages

Additional info:

compiling xchat from source did not resolve the problem.

[root@ls3523 tstaerk]# rpm -qa|grep gtk+
[root@ls3523 tstaerk]# xchat

(xchat:7165): Gtk-WARNING **: GModule initialization check failed:
Gtk+ version too old (micro mismatch)
[root@ls3523 tstaerk]# rpm -qa|grep gtk+
Comment 1 Daniel Reed 2004-10-08 23:40:40 EDT
If you are using the "Beep on channel message" feature, you may need
to have your system load the "pcspkr" module before terminal beeps
will work. Please test this by running, as root, "modprobe pcspkr" and
attempting to reproduce.
Comment 2 Thorsten Stärk 2004-10-11 07:22:41 EDT
sorry, I get 
[root@ls3523 root]# modprobe pcspkr 
modprobe: Can't locate module pcspkr 
Comment 3 Trevor Cordes 2004-10-26 10:09:42 EDT
I had a similar problem.  After upgrading from FC1 -> FC2 using
anaconda, system beeps were not occurring for any of the normal
events.    I lsmod |grep pcspkr and it was not loaded.  I modprobed
pcspkr and it loaded and now beeps work normally.

I'm not sure why this isn't being loaded by default at boot-time. 
Must be something the FC2 upgrade forgot.  I'm not sure where I should
add this to ensure pcspkr loads across boots.
Comment 4 Thorsten Stärk 2004-10-29 04:25:34 EDT
sorry, I get  
[root@ls3523 root]# modprobe pcspkr  
modprobe: Can't locate module pcspkr  
I do not find pcspkr in rhn.redhat.com. It is not in 
kernel-unsupported. Please note I am using RHEL 3 WS. 
Comment 5 Trevor Cordes 2004-10-30 20:30:13 EDT

find /lib/modules -name "pcspkr*"

anything listed?

Are you running a 2.4 kernel (uname -a) or 2.6?  I'm running 2.6.8 on
FC2.  I don't recall ever seeing this module in 2.4, so perhaps 2.4
used some other mechanism (perhaps not a module) to do the pcspkr

Does *anything* beep on your computer?  Load tcsh and hit backspace at
an empty prompt.  That should beep.  Now try rebooting, does the
initial POST beep like it usually does?  If *nothing* is beeping,
check inside your computer for a loose PC speaker connection to the
mobo or a dead PC speaker (try replacing it).

Note, for others reading this bug report, the problem has nothing to
do with xchat or any particular app, it's a kernel module not loading
  automatically issue (at least under 2.6).

Something with permissions should change the subject/component for
this bug.
Comment 6 Daniel Reed 2004-11-06 13:40:49 EST
It may still possibly be a problem in xchat, but I would like to know whether
the system bell works at all.
Comment 7 Thorsten Stärk 2004-11-25 05:09:51 EST
The system bell works everywhere but not in the X environment. 
So, this is rather a sound problem, I see. Can we continue with this 
bug report ? 
Comment 8 Thorsten Stärk 2004-11-25 10:15:59 EST
Problem was with the KDE settings: kcontrol | Sound and Multimedia | 
System Bell was at volume 0. 
Thanks for your help, you pointed me there ! 
Comment 9 Trevor Cordes 2004-11-28 12:38:52 EST
Interesting.  I didn't know GNOME/KDE had pc speaker control in the
GUI now!  I had recently added modprobe pcspkr to /etc/rc.modules and
that fixed the problem on my end.

I just checked and my GNOME setting is on.  However, I'm not sure if
it was set to on before I did that modprobe.

I guess it could be a little confusing to users who go into that
setting and click on yet no sound would occur unless they modprobed
pcspkr.  It's still a little strange that pcspkr wasn't being insmod'd
Comment 10 Thorsten Stärk 2004-11-29 05:23:11 EST
but you know that I do not need the module pcspkr with my RedHat EL 
3 ? And it beeps nevertheless: 
[tstaerk@ls3523 freeciv-1.14.2]$ sudo /sbin/lsmod | grep sp 
[tstaerk@ls3523 freeciv-1.14.2]$ 

Note You need to log in before you can comment on or make changes to this bug.